-- this script is meant to be called from within Motion Pictures
-- using NSApplescript. That way some of the variables can be
-- set before this is actually executed. Actually there
-- are a bunch of things that need to be substituted before this
-- script will run.
-- I used to list the three things here but then they ended up
-- being substituted instead of the code below.. oops.

-- globals
set pathname_to_attachment to "attachment_pathname"
set the_subject to "mail_subject_string"

tell application "Mail"
	-- Properties can be specified in a record when creating the message or
	-- afterwards by setting individual property values.
	set newMessage to make new outgoing message with properties {subject:the_subject, content:return & return}
	tell newMessage
		-- Default is false. Determines whether the compose window will
		-- show on the screen or whether it will happen in the background.
		set visible to true
		tell content
			-- Position must be specified for attachments
			make new attachment with properties {file name:pathname_to_attachment} at after the last paragraph
		end tell
	end tell
	-- bring new Mail window forward
	activate
end tell
